var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import createResource from '../cache/createResource';
export var StylesheetResource = createResource(load, 
// @ts-ignore
function (_a) {
    var href = _a.href, media = _a.media;
    return href + "." + media;
});
function load(_a) {
    var href = _a.href, _b = _a.media, media = _b === void 0 ? 'all' : _b;
    return new Promise(function (resolve, reject) {
        var link = document.createElement('link');
        link.rel = 'stylesheet';
        link.href = href;
        link.media = media;
        link.onload = resolve;
        link.onerror = reject;
        document.body.appendChild(link);
    });
}
var Stylesheet = function (props) {
    StylesheetResource.read(props);
    return React.createElement("link", __assign({}, props));
};
export var useStylesheet = function (props) {
    return StylesheetResource.read(props);
};
export default Stylesheet;
//# sourceMappingURL=../../src/dist/head/Stylesheet.js.map