var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import createResource from '../cache/createResource';
var IMAGE = 'image';
var hashingFn = function (_a) {
    var src = _a.src, srcSet = _a.srcSet;
    return "" + src + srcSet;
};
var ImageResource = createResource(function (_a) {
    var src = _a.src, srcSet = _a.srcSet;
    return new Promise(function (resolve, reject) {
        var image = new Image();
        image.src = src;
        if (srcSet) {
            image.srcset = srcSet;
        }
        image.onload = resolve;
        image.onerror = reject;
    });
}, hashingFn);
export default (function (_a) {
    var src = _a.src, srcSet = _a.srcSet, props = __rest(_a, ["src", "srcSet"]);
    if (src) {
        ImageResource.read({ src: src, srcSet: srcSet });
    }
    return React.createElement("img", __assign({ src: src }, props));
});
export { ImageResource, IMAGE };
//# sourceMappingURL=../../src/dist/media/Image.js.map