var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import createResource from '../cache/createResource';
var VIDEO = 'video';
var VideoResource = createResource(function (src) {
    return new Promise(function (resolve, reject) {
        var video = document.createElement('video');
        video.src = src;
        video.oncanplay = function () {
            resolve(video);
        };
        video.onerror = reject;
    });
});
export default (function (props) {
    VideoResource.read(props.src);
    return (React.createElement("video", __assign({}, props)));
});
export { VIDEO };
//# sourceMappingURL=../../src/dist/media/Video.js.map