var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import createResource from '../cache/createResource';
export var ScriptResource = createResource(function (_a) {
    var src = _a.src;
    return new Promise(function (resolve, reject) {
        var script = document.createElement('script');
        script.src = src;
        script.onload = function () { return resolve(script); };
        script.onerror = reject;
        // @todo decide if this is sensible.
        // script.async = true
        document.body.appendChild(script);
    });
});
export var Script = function (_a) {
    var children = _a.children, rest = __rest(_a, ["children"]);
    ScriptResource.read(rest);
    if (typeof children === 'function') {
        // @ts-ignore
        return children();
    }
    return children;
};
export function useScript(_a) {
    var src = _a.src;
    return ScriptResource.read({ src: src });
}
//# sourceMappingURL=../../src/dist/head/Script.js.map