var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import { GROUP } from '310-logic/component/Group';
import useList from './useList';
var renderItems = function (items) {
    return items && items.map(function (item) {
        switch (item.type) {
            case GROUP: {
                var active = item.active, icon = item.icon, items_1 = item.items, text = item.text, type = item.type, props = __rest(item, ["active", "icon", "items", "text", "type"]);
                return (React.createElement("li", __assign({}, props),
                    active && '[',
                    text,
                    active && ']',
                    " (",
                    props.key,
                    ")>",
                    React.createElement("ul", null, renderItems(items_1))));
            }
            default: {
                var active = item.active, icon = item.icon, text = item.text, type = item.type, props = __rest(item, ["active", "icon", "text", "type"]);
                return (React.createElement("li", __assign({}, props),
                    active && '[',
                    text,
                    active && ']',
                    " (",
                    props.key,
                    ")"));
            }
        }
    });
};
var List = function (config) {
    var items = useList(config).items;
    return (React.createElement("ul", null, renderItems(items)));
};
export default List;
//# sourceMappingURL=../../src/dist/list/Menu.js.map