import * as React from 'react';
declare const AUDIO = "audio";
interface Audio {
    src: string;
    type: typeof AUDIO;
}
interface AudioProps extends Omit<Audio, 'type'>, React.DetailedHTMLProps<React.AudioHTMLAttributes<HTMLAudioElement>, HTMLAudioElement> {
    src: string;
}
declare const _default: ({ src, ...props }: AudioProps) => JSX.Element;
export default _default;
export { Audio, AUDIO };
